Trong cPanel rất dễ dàng để cài đặt của Ruby bằng cách sử dụng script cPanel sau.

# /scripts/installruby

Một số lần các script cài đặt không hoạt động đúng và không thể cài đặt. Vì vậy, bạn có thể thực thic các command sau để cài đặt Ruby.

# gem install rails
# gem install mongrel
# gem install fastthread

Lưu ý: bạn nên mở port 300012001 nếu server bạn có cài đặt Firewall.

Nếu bạn đã cài đặt LIBSAFE, trong quá trình cài đặt Ruby bạn có thể gặp phải Overflow error và việc cài đặt sẽ dừng lại. Để xử lý vấn đề này bạn phải thêm /usr/bin/ruby vào danh sách ngoại lệ LIBSAFE.

Nhật ký cài đặt là có thể như sau.

.
.
.
.
0x8052e4a /usr/bin/ruby
0x8bbde7 /lib/libc-2.5.so
Overflow caused by memcpy()
Killed

Bạn phải thêm /usr/bin/ruby vào danh sách ngoại lệ LIBSAFE bằng cách sử dụng command.

# echo “/usr/bin/ruby” >> /etc/libsafe.exclude
# echo “/usr/bin/ruby-bin” >> /etc/libsafe.exclude

Hãy thử cài đặt một lần nữa … Lần này sẽ không có bất kỳ Overflow error nào trong khi cài đặt …

Xem thêm:
dịch vụ seo từ khóa

khoa hoc seo miễn phí

Bài viết cùng chủ đề